FOXW2600.ESL - have i got the latest version? 
Author Message
 FOXW2600.ESL - have i got the latest version?

hi,

i've built a foxpro system for a client, and am now installing it in
various places around their business as a runtime .exe file along with
the FOXW2600.ESL library (for Windows).

my problem is that the system keeps generating 'Foxpro Inconsistency
Errors' at apparently random moments (not repeatable), and at different
rates according to which PC is being used.  these errors only occur
when the system is running by FOXW2600.ESL - it's ok through normal
Foxpro.

i think it may be memory conflicts with the other stuff on the PCs
(e.g. Rumba AS/400 Interface) - so my question is this:

. does anyone know of any config.sys peculiarities that are needed for
FOXW2600.ESL to be happy?

or . has my client got the latest version of FOXW2600.ESL?  it is dated
3rd August 1994 so may (!) have some bugs that have since been fixed.

any help would be much appreciated.  thanks,

bob



Wed, 24 Jun 1998 03:00:00 GMT  
 FOXW2600.ESL - have i got the latest version?

Quote:

>hi,
>. does anyone know of any config.sys peculiarities that are needed for
>FOXW2600.ESL to be happy?

Here is a part of the FAQs:

INCOMPATIBLE HARDWARE FOR FOXPROW
According to the FoxPro Resource Kit for 2.5, the following cards
have problems with FoxPro:

ATI Ultra Graphics Pro (local bus)
AST Power Premium 486 with VGA motherboard
Genoa 7900 MM card
Dell 486/20 with VGA on motherboard
COMPAQ QVision
Speed Star 24x
Trident 8900C
TIGA 1024x768x256 small fonts
NEC 2A
MACH32
MATROX MGA video driver using 1024x768 resolution
Orchid Fahrenheit 1280 card using Windows 3.1

SYSTEM SETTINGS (To try for better performance or in case of
conflicts)

MEMLIMIT
Try these MEMLIMIT settings:
MEMLIMIT = 50,  2432, 4096

SWAP FILES
Have a PERMANENT SWAP FILE set up in your Windows Control.exe 386
Enhanced Virtual Memory settings (6 TO 9 Meg)

32 BIT DISK ACCESS
Don't turn on 32 bit disk access in Windows Ver 3.1
but OK to do so in Ver. 3.11

ENVIRONMENT SPACE
Have about 1K of environment space available:
config.sys:  
           shell=c:\command.com /e:1024 /p

BREAKPOINTS (Windows for Workgroups  -  GPFs)
system.ini:
           [386Enh]
           MaxBPs=768
(Specifies the maximum number of breakpoints (a method for
transferring
control to WFW in 386 enhanced mode), default=358 (4k)
optional: 768 (8k), 1177 (10k), 1586 (12k))

UPPER MEMORY CONFLICTS
Try:
system.ini:
           [386Enh]
           EMMExclude=A000-FFFF

ABNORMAL PROGRAM TERMINATION FIX IN EXTENDED FOXPROX
Try:
autoexec.bat:
             SET FOXPROX=-saveregs
(This command tells FoxPro to preserve any registers in use and not to
overwrite them while running).

Quote:
>or . has my client got the latest version of FOXW2600.ESL?  it is dated
>3rd August 1994 so may (!) have some bugs that have since been fixed.

I have baught my FPW 2.6 last August. The date of my ESL is 94-03-11.
But it the german version of FP!

Could be of help ...., Martin



Fri, 26 Jun 1998 03:00:00 GMT  
 FOXW2600.ESL - have i got the latest version?

Quote:


>> has my client got the latest version of FOXW2600.ESL?  it is dated
>>3rd August 1994 so may (!) have some bugs that have since been fixed.
>I have baught my FPW 2.6 last August. The date of my ESL is 94-03-11.
>But it the german version of FP!

The 11 March 1994 version is the original 2.6 ESL file, the 2.6a file is
dated 03 August 1994.
For DOS versions, the 2.6a files are all (3) dated 15 July 1994.

Ralph Morse



Sat, 27 Jun 1998 03:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. : Getting the latest version

2. Getting the latest version

3. Problem with FOXW2600.ESL in Windows 98...

4. Delivery foxw2600.esl

5. RQBE and FOXW2600.ESL

6. FOXPROW has caused an error in FOXW2600.ESL

7. FOXW2600.ESL

8. foxw2600.esl file size error

9. Foxw2600.esl file location

10. Modifying the icon in FOXW2600.ESL

11. replace foxw2600.esl ICON -- How?

12. foxw2600.esl parameters?

 

 
Powered by phpBB® Forum Software